Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.server
Class AsyncContinuation.AsyncTimeout

    java.lang.Object
      org.eclipse.jetty.util.thread.Timeout.Task
          org.eclipse.jetty.server.AsyncContinuation.AsyncTimeout

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  AsyncContinuation

    public class AsyncContinuation.AsyncTimeout

extends Timeout.Task
implements java.lang.Runnable

Constructor Summary
`AsyncContinuation.AsyncTimeout()`

Method Summary
`void` | `expired()` Expire task.
`void` | `run()`

Methods inherited from class org.eclipse.jetty.util.thread.Timeout.Task
`cancel, expire, getAge, getTimestamp, isExpired, isScheduled, reschedule, schedule, schedule`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsyncContinuation.AsyncTimeout

    public AsyncContinuation.AsyncTimeout()

Method Detail

### expired

    public void expired()

  Description copied from class: `Timeout.Task`
  Expire task. This method is called when the timeout expires. It is called outside of any synchronization scope and may be delayed.

  Overrides:
    `expired` in class `Timeout.Task`

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.